NodeID     : 0
Node       : Scalar input (tokensIndex)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.scalarInput(IO.java:1106)
bwtt.secondKernel.<init>(secondKernel.maxj:19)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NODE WAS REMOVED!
NodeID     : 1
Node       : 1.0
Node type  : NodeConstantDouble
Removed by : [RemoveUntypedConstants]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.Count.simpleCounter(Count.java:570)
bwtt.secondKernel.<init>(secondKernel.maxj:20)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

Led to:
  NodeID     : 82
  Node       : {HWOffsetFix:1, 0, UNSIGNED}\n0x1; 1.0
  Node type  : NodeConstantRawBits
  Creator    : RemoveUntypedConstants

------------
NodeID     : 2
Node       : Counter(NUMERIC_INCREMENTING)\nInc: 1\nReset: 0\nInit: 0
Node type  : NodeCounterV1
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.Count.simpleCounter(Count.java:570)
bwtt.secondKernel.<init>(secondKernel.maxj:20)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NODE WAS REMOVED!
NodeID     : 3
Node       : 0.0
Node type  : NodeConstantDouble
Removed by : [RemoveUntypedConstants]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.eq(DFEVar.java:589)
bwtt.secondKernel.<init>(secondKernel.maxj:22)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

Led to:
  NodeID     : 81
  Node       : {HWOffsetFix:32, 0, UNSIGNED}\n0x00000000; 0.0
  Node type  : NodeConstantRawBits
  Creator    : RemoveUntypedConstants

------------
NodeID     : 4
Node       : ==
Node type  : NodeEq
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.eq(DFEVar.java:589)
bwtt.secondKernel.<init>(secondKernel.maxj:22)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 5
Node       : Scalar input (io_px_force_disabled)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:24)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 6
Node       : ~
Node type  : NodeNot
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:24)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 7
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:24)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 8
Node       : Input(px)
Node type  : NodeInput
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:24)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 9
Node       : Scalar input (io_bx_force_disabled)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:25)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 10
Node       : ~
Node type  : NodeNot
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:25)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 11
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:25)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 12
Node       : Input(bx)
Node type  : NodeInput
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:25)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 13
Node       : Scalar input (io_py_force_disabled)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:26)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 14
Node       : ~
Node type  : NodeNot
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:26)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 15
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:26)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 16
Node       : Input(py)
Node type  : NodeInput
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:26)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 17
Node       : Scalar input (io_by_force_disabled)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:27)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 18
Node       : ~
Node type  : NodeNot
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:27)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 19
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:27)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 20
Node       : Input(by)
Node type  : NodeInput
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:27)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 21
Node       : Scalar input (io_siRho_force_disabled)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:28)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 22
Node       : ~
Node type  : NodeNot
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:28)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 23
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:28)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 24
Node       : Input(siRho)
Node type  : NodeInput
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:28)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 25
Node       : Scalar input (io_soRho_force_disabled)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:29)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 26
Node       : ~
Node type  : NodeNot
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:29)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 27
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:29)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 28
Node       : Input(soRho)
Node type  : NodeInput
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:29)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 29
Node       : {HWOffsetFix:10, 0, UNSIGNED}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.secondKernel.<init>(secondKernel.maxj:42)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 30
Node       : {HWFloat:8, 24}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.secondKernel.<init>(secondKernel.maxj:43)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 31
Node       : {HWFloat:8, 24}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.secondKernel.<init>(secondKernel.maxj:44)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 32
Node       : *
Node type  : NodeMul
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.mul(DFEVar.java:960)
bwtt.secondKernel.<init>(secondKernel.maxj:47)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 33
Node       : +
Node type  : NodeAdd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.add(DFEVar.java:868)
bwtt.secondKernel.<init>(secondKernel.maxj:47)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 34
Node       : -
Node type  : NodeSub
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.sub(DFEVar.java:914)
bwtt.secondKernel.<init>(secondKernel.maxj:47)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 35
Node       : *
Node type  : NodeMul
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.mul(DFEVar.java:960)
bwtt.secondKernel.<init>(secondKernel.maxj:48)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 36
Node       : +
Node type  : NodeAdd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.add(DFEVar.java:868)
bwtt.secondKernel.<init>(secondKernel.maxj:48)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 37
Node       : -
Node type  : NodeSub
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.sub(DFEVar.java:914)
bwtt.secondKernel.<init>(secondKernel.maxj:48)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 38
Node       : *
Node type  : NodeMul
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.mul(DFEVar.java:960)
bwtt.secondKernel.<init>(secondKernel.maxj:50)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 39
Node       : *
Node type  : NodeMul
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.mul(DFEVar.java:960)
bwtt.secondKernel.<init>(secondKernel.maxj:50)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 40
Node       : +
Node type  : NodeAdd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.add(DFEVar.java:868)
bwtt.secondKernel.<init>(secondKernel.maxj:50)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NODE WAS REMOVED!
NodeID     : 41
Node       : 1.2
Node type  : NodeConstantDouble
Removed by : [RemoveUntypedConstants]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.lt(DFEVar.java:827)
bwtt.secondKernel.<init>(secondKernel.maxj:51)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

Led to:
  NodeID     : 80
  Node       : {HWFloat:8, 24}\n0x3f99999a; 1.2000000476837158
  Node type  : NodeConstantRawBits
  Creator    : RemoveUntypedConstants

------------
NodeID     : 42
Node       : <
Node type  : NodeLt
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.lt(DFEVar.java:827)
bwtt.secondKernel.<init>(secondKernel.maxj:51)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 43
Node       : <
Node type  : NodeLt
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.lt(DFEVar.java:822)
bwtt.secondKernel.<init>(secondKernel.maxj:51)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 44
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.and(DFEVar.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:51)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 45
Node       : >
Node type  : NodeGt
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.gt(DFEVar.java:776)
bwtt.secondKernel.<init>(secondKernel.maxj:51)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 46
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.and(DFEVar.java:522)
bwtt.secondKernel.<init>(secondKernel.maxj:51)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 47
Node       : {HWOffsetFix:16, 0, UNSIGNED}\n0x0001; 1.0
Node type  : NodeConstantRawBits
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.Constant.var(Constant.java:99)
bwtt.secondKernel.<init>(secondKernel.maxj:56)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 48
Node       : {HWOffsetFix:16, 0, UNSIGNED}\n0x0000; 0.0
Node type  : NodeConstantRawBits
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.ternaryIf(DFEVar.java:1165)
bwtt.secondKernel.<init>(secondKernel.maxj:56)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 49
Node       : MUX
Node type  : NodeMux
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.ternaryIf(DFEVar.java:1165)
bwtt.secondKernel.<init>(secondKernel.maxj:56)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NODE WAS REMOVED!
NodeID     : 50
Node       : {HWOffsetFix:1, 0, UNSIGNED}\n0x1; 1.0
Node type  : NodeConstantRawBits
Removed by : [OptimiseNodesPass]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.output(IO.java:816)
bwtt.secondKernel.<init>(secondKernel.maxj:60)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 51
Node       : Scalar input (io_output_force_disabled)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.output(IO.java:816)
bwtt.secondKernel.<init>(secondKernel.maxj:60)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 52
Node       : ~
Node type  : NodeNot
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.output(IO.java:816)
bwtt.secondKernel.<init>(secondKernel.maxj:60)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NODE WAS REMOVED!
NodeID     : 53
Node       : &
Node type  : NodeAnd
Removed by : [OptimiseNodesPass]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.output(IO.java:816)
bwtt.secondKernel.<init>(secondKernel.maxj:60)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 54
Node       : Output(output)
Node type  : NodeOutput
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.output(IO.java:816)
bwtt.secondKernel.<init>(secondKernel.maxj:60)
bwtt.bwttManager.<init>(bwttManager.maxj:23)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NODE WAS REMOVED!
NodeID     : 58
Node       : 1.0
Node type  : NodeConstantDouble
Removed by : [RemoveUntypedConstants]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

Led to:
  NodeID     : 79
  Node       : {HWOffsetFix:1, 0, UNSIGNED}\n0x1; 1.0
  Node type  : NodeConstantRawBits
  Creator    : RemoveUntypedConstants

------------
NodeID     : 59
Node       : {HWOffsetFix:49, 0, UNSIGNED}\n0x1000000000000; 2.81474976710656E14
Node type  : NodeConstantRawBits
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 60
Node       : Counter(NUMERIC_INCREMENTING)\nInc: 1\nReset: 0\nInit: 0
Node type  : NodeCounterV1
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 61
Node       : stream offset: 1
Node type  : NodeStreamOffset
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 62
Node       : {HWOffsetFix:1, 0, UNSIGNED}\n0x1; 1.0
Node type  : NodeConstantRawBits
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 63
Node       : Scalar output (current_run_cycle_count)
Node type  : NodeOutputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NODE WAS REMOVED!
NodeID     : 64
Node       : 1.0
Node type  : NodeConstantDouble
Removed by : [RemoveUntypedConstants]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

Led to:
  NodeID     : 78
  Node       : {HWOffsetFix:1, 0, UNSIGNED}\n0x1; 1.0
  Node type  : NodeConstantRawBits
  Creator    : RemoveUntypedConstants

------------
NodeID     : 65
Node       : {HWOffsetFix:49, 0, UNSIGNED}\n0x1000000000000; 2.81474976710656E14
Node type  : NodeConstantRawBits
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 66
Node       : Counter(NUMERIC_INCREMENTING)\nInc: 1\nReset: 0\nInit: 0
Node type  : NodeCounterV1
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 67
Node       : flush on trigger
Node type  : NodeFlush
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 68
Node       : Scalar input (run_cycle_count)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 69
Node       : ==
Node type  : NodeEq
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.custom.CustomManager.addKernel(CustomManager.java:1000)
bwtt.bwttManager.<init>(bwttManager.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:52)

------------
NodeID     : 70
Node       : FIFO(4)
Node type  : NodeFIFO
Creator    : ScheduleApplier
------------
NodeID     : 71
Node       : FIFO(8)
Node type  : NodeFIFO
Creator    : ScheduleApplier
------------
NODE WAS REMOVED!
NodeID     : 72
Node       : FIFO(18)
Node type  : NodeFIFO
Removed by : [TapFIFOsPass]
Creator    : ScheduleApplier
Led to:
  NodeID     : 77
  Node       : FIFO(14)
  Node type  : NodeFIFO
  Creator    : TapFIFOsPass

------------
NODE WAS REMOVED!
NodeID     : 73
Node       : FIFO(8)
Node type  : NodeFIFO
Removed by : [TapFIFOsPass]
Creator    : ScheduleApplier
------------
NODE WAS REMOVED!
NodeID     : 74
Node       : FIFO(18)
Node type  : NodeFIFO
Removed by : [TapFIFOsPass]
Creator    : ScheduleApplier
------------
NodeID     : 75
Node       : FIFO(52)
Node type  : NodeFIFO
Creator    : ScheduleApplier
------------
NodeID     : 76
Node       : FIFO(53)
Node type  : NodeFIFO
Creator    : ScheduleApplier
------------
